<?php

add_action( 'wp_enqueue_scripts', function() {
	$package_json = json_decode( file_get_contents( __DIR__ . '/../../package.json' ) )
		?: (object) [ 'version' => '1.0.1' ];

	$dir = plugin_dir_url( __DIR__ . '/../../index.php' );
	$min = defined( 'PROD' ) && PROD === true ? '.min' : '';
	wp_register_script('fetch', "{$dir}dist/whatwg-fetch$min.js", [], null, true);
	wp_register_script('react', "{$dir}node_modules/react/dist/react$min.js", [], null, true);
	wp_register_script('react-dom', "{$dir}node_modules/react-dom/dist/react-dom$min.js", ['react'], null, true);
	wp_register_script('prop-types', "{$dir}node_modules/prop-types/prop-types$min.js", [], null, true);
	wp_register_script('date-fns', "https://cdnjs.cloudflare.com/ajax/libs/date-fns/1.28.5/date_fns$min.js", [], null, true);
	wp_register_script('lodash', "https://cdnjs.cloudflare.com/ajax/libs/lodash.js/4.17.4/lodash$min.js", [], null, true);
	wp_register_style('colby-bootstrap', "{$dir}dist/colby-bootstrap$min.css", [], $package_json->version );
}, 10, 1 );
